Bug 616398 - virtio-serial installation problems
Summary: virtio-serial installation problems
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Windows
low
medium
Target Milestone: rc
: ---
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: RHELNAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-20 11:04 UTC by Arnon Gilboa
Modified: 2013-08-26 00:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 16:30:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
minidump (104.00 KB, application/octet-stream)
2010-07-21 12:00 UTC, Arnon Gilboa
no flags Details

Description Arnon Gilboa 2010-07-20 11:04:16 UTC
On several windows xp sp3 guests, based on the qa templete, installing the virtio-serial drivers manually resulted one of the following:

(1) Error such as: "Cannot install this hardware. There was a problem installing this hardware..."
(2) Halt with host in 100% cpu
(3) BSOD

Drivers installed from:

http://download.lab.bos.redhat.com/devel/RHEV/virtio-win/1.1.7-2/
http://download.lab.bos.redhat.com/devel/RHEV/virtio-win/1.1.8-0/   
http://download.lab.bos.redhat.com/devel/RHEV/virtio-win/1.1.5-0/

The vms were launched using qemu spice.kvm.v11

Comment 2 RHEL Product and Program Management 2010-07-20 11:37:53 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Arnon Gilboa 2010-07-20 12:41:14 UTC
Fixing this issue is a prerequisite for "Spice windows guest agent" aka
vdagent, in RHEL6 and Fedora14. The agent enables cut-and-paste between client
and guest, multi-monitor support, and syncing the guest display setting with
the client.

Comment 4 Arnon Gilboa 2010-07-21 12:00:55 UTC
Created attachment 433392 [details]
minidump

Comment 5 Arnon Gilboa 2010-07-21 12:03:27 UTC
Running qemu with -usbdevice tablet, installation of 1.1.7-2 and 1.1.8-0 hangs with 100% cpu host. Running *without* -usbdevice tablet, installation of 1.1.7-2 was successful, but 1.1.8-0 got BSOD (DRIVER_IRQL_NOT_LESS_OR_EQUAL).Attached is the BSOD minidump.

Comment 6 Vadim Rozenfeld 2010-07-22 17:57:14 UTC
(In reply to comment #5)
> Running qemu with -usbdevice tablet, installation of 1.1.7-2 and 1.1.8-0 hangs
> with 100% cpu host. Running *without* -usbdevice tablet, installation of
> 1.1.7-2 was successful, but 1.1.8-0 got BSOD
> (DRIVER_IRQL_NOT_LESS_OR_EQUAL).Attached is the BSOD minidump.    

Can see the QEMU command line?
Thanks,
Vadim

Comment 7 Vadim Rozenfeld 2010-08-10 20:47:54 UTC
Please check it with the latest driver from:
http://download.lab.bos.redhat.com/devel/RHEV/virtio-win/1.1.11-0/

This problem was easily reproducible when running UP VM with AC97 and/or
USB tablet device together with viortio-serial device 

Thanks,
Vadim

Comment 8 lihuang 2010-08-17 11:25:34 UTC
Verified on 
DriverVer=08/10/2010,6.1.7600.16385


qemu     14817     1 26 07:03 ?        00:04:52 /usr/libexec/qemu-kvm -S -M rhel6.0.0 -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -name windowxp -uuid 6e594585-d8ed-95ec-9bde-2427bb471f8e -nodefconfig -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/windowxp.monitor,server,nowait -mon chardev=monitor,mode=control -rtc base=utc -boot c -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -drive file=/home/images/windowxp.img,if=none,id=drive-virtio-disk0,boot=on,format=qcow2,cache=none -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0 -drive file=/home/images/virtio-win-1.1.11-0.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -drive file=/data/nfs-win/xp/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=129,id=hostnet0,vhost=on,vhostfd=130 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:7e:36:e3,bus=pci.0,addr=0x3 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -device spicevmc,bus=virtio-serial0.0,nr=0 -usb -device usb-tablet,id=input0 -spice port=5903,addr=10.66.91.70,disable-ticketing,plaintext-channel=main,plaintext-channel=inputs -vga qxl -device AC97,id=sound0,bus=pci.0,addr=0x4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

Comment 9 Vadim Rozenfeld 2010-08-17 14:39:39 UTC
Thanks,
Just to be absolutely sure, can you please trying it again with -smp 1

Best regards,
Vadim.

Comment 10 lihuang 2010-08-18 04:56:31 UTC
(In reply to comment #9)
> Thanks,
> Just to be absolutely sure, can you please trying it again with -smp 1
> 
> Best regards,
> Vadim.

Retest on a fresh installed xp guest with "-smp 1" PASSed

full command line to invoke qemu-kvm is :
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=spice /usr/libexec/qemu-kvm -S -M rhel6.0.0 -enable-kvm -m 2048 -smp 1,sockets=1,cores=1,threads=1 -name xp3 -uuid b740fde7-1e1e-7d4c-afef-b70d18b3cc8e -nodefconfig -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/xp3.monitor,server,nowait -mon chardev=monitor,mode=control -rtc base=utc -boot c -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -drive file=/home/images/xp3.img,if=none,id=drive-virtio-disk0,boot=on,format=raw,cache=none -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0 -drive file=/data/nfs-win/xp/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/home/images/virtio-win-1.1.11-0.vfd,if=none,id=drive-fdc0-0-0,format=raw -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,fd=278,id=hostnet0,vhost=on,vhostfd=279 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:ab:e6:e0,bus=pci.0,addr=0x3 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -device spicevmc,bus=virtio-serial0.0,nr=0 -usb -device usb-tablet,id=input0 -spice port=5903,addr=10.66.91.70,disable-ticketing,plaintext-channel=main,plaintext-channel=inputs -vga qxl -device AC97,id=sound0,bus=pci.0,addr=0x4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

Comment 11 Vadim Rozenfeld 2010-08-18 05:38:19 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Thanks,
> > Just to be absolutely sure, can you please trying it again with -smp 1
> > 
> > Best regards,
> > Vadim.
> 
> Retest on a fresh installed xp guest with "-smp 1" PASSed
> 
> full command line to invoke qemu-kvm is :
> LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=spice
> /usr/libexec/qemu-kvm -S -M rhel6.0.0 -enable-kvm -m 2048 -smp
> 1,sockets=1,cores=1,threads=1 -name xp3 -uuid
> b740fde7-1e1e-7d4c-afef-b70d18b3cc8e -nodefconfig -nodefaults -chardev
> socket,id=monitor,path=/var/lib/libvirt/qemu/xp3.monitor,server,nowait -mon
> chardev=monitor,mode=control -rtc base=utc -boot c -device
> virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -drive
> file=/home/images/xp3.img,if=none,id=drive-virtio-disk0,boot=on,format=raw,cache=none
> -device
> virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0
> -drive
> file=/data/nfs-win/xp/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw
> -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive
> file=/home/images/virtio-win-1.1.11-0.vfd,if=none,id=drive-fdc0-0-0,format=raw
> -global isa-fdc.driveA=drive-fdc0-0-0 -netdev
> tap,fd=278,id=hostnet0,vhost=on,vhostfd=279 -device
> virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:ab:e6:e0,bus=pci.0,addr=0x3
> -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -device
> spicevmc,bus=virtio-serial0.0,nr=0 -usb -device usb-tablet,id=input0 -spice
> port=5903,addr=10.66.91.70,disable-ticketing,plaintext-channel=main,plaintext-channel=inputs
> -vga qxl -device AC97,id=sound0,bus=pci.0,addr=0x4 -device
> virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6


Thank you,
Vadim.

Comment 12 releng-rhel@redhat.com 2010-11-11 16:30:52 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.